Subject: bug#9076: coreutils-8.12 uses SA_RESETHAND and SA_RESTART unconditionally

From: "Joachim Schmitz" <[email-masked]>
Date: Thu, 14 Jul 2011 18:45:57 +0200

I'm afraid I have no idea how or whether HP NonStop implements this
functionality.
I can point to the manual, Open System Services System CallsReferenceManual,
at:
http://bizsupport2.austin.hp.com/bc/docs/support/SupportManual/c02128682/c02
128682.pdf

Bye, Jojo

-----Original Message-----
From: Pádraig Brady [mailto:[email-masked]] 
Sent: Thursday, July 14, 2011 1:22 PM
To: Joachim Schmitz
Cc: [email-masked]
Subject: Re: bug#9076: coreutils-8.12 uses SA_RESETHAND and SA_RESTART
unconditionally

On 14/07/11 07:54, Joachim Schmitz wrote:
> Hi folks
> 
>  
> 
> coreutils-8.12 uses SA_RESETHAND and SA_RESTART unconditionally and on 
> HP NonStop these don't exist.

Ok we'll need to add the above info to:
http://git.savannah.gnu.org/gitweb/?p=gnulib.git;a=blob;f=doc/posix-function
s/sigaction.texi;hb=HEAD

> SA_RESETHAND is used in csplit.c and dd.c SA_RESTART is used in ls.c 
> and timeout.c

Well we can define these to 0 to get the compile to succeed.
However can you provide info on how to achieve the behavior of SA_RESETHAND
and SA_RESTART on your platform.

cheers,
Pádraig.